	/*  
	
	restore_category.sql - restore collaboration area related database rows from backup tables
        for a collaboration area whose associated workflow is a category workflow
	Copyright 2006 IBM Corporation
	Version 1, April 11, 2006

	For a given state of backup tables, this procedure can be run multiple times with the same effect as 
		running it once (doing so is neither necessary nor recommended of course).

    This assumes that the compiled procs in effect are as defined in procs_category.sql.

	*/


set serveroutput on size 1000000;
set echo off;
set linesize 120
set heading off
set line 10000
set wrap off
set newpage NONE
BEGIN 
  DBMS_OUTPUT.enable(1000000);

  restore_all(clnCoaId);

  DBMS_OUTPUT.Put_Line(' ');
  DBMS_OUTPUT.Put_Line('*********** DONE WITH restore ************************');

  COMMIT; 

END; 
/
